## GnomeDbDataWidgetInfo

GnomeDbDataWidgetInfo — Widget to display control buttons and information about data displayed in a GnomeDbDataWidget widget

##

# Synopsis

    struct      GnomeDbDataWidgetInfo;
    enum        GnomeDbDataWidgetInfoFlag;
    struct      GnomeDbDataWidgetInfoClass;
    struct      GnomeDbDataWidgetInfoPriv;
    GtkWidget*  gnome_db_data_widget_info_new   (GnomeDbDataWidget *data_widget,
                                                 GnomeDbDataWidgetInfoFlag flags);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkContainer
                               +----GtkBox
                                     +----GtkHBox
                                           +----GnomeDbDataWidgetInfo

## Implemented Interfaces

GnomeDbDataWidgetInfo implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Properties

      "data-widget"          GnomeDbDataWidget    : Read / Write
      "flags"                GnomeDbDataWidgetInfoFlag : Read / Write

## Description

## Details

### struct GnomeDbDataWidgetInfo

    struct GnomeDbDataWidgetInfo;

### enum GnomeDbDataWidgetInfoFlag

    typedef enum
    {
    	GNOME_DB_DATA_WIDGET_INFO_NONE = 0,
    	GNOME_DB_DATA_WIDGET_INFO_CURRENT_ROW    = 1 << 0,
    	GNOME_DB_DATA_WIDGET_INFO_ROW_MODIFY_BUTTONS = 1 << 2,
    	GNOME_DB_DATA_WIDGET_INFO_ROW_MOVE_BUTTONS = 1 << 3,
    	GNOME_DB_DATA_WIDGET_INFO_CHUNCK_CHANGE_BUTTONS = 1 << 4,
    	GNOME_DB_DATA_WIDGET_INFO_NO_FILTER = 1 << 5
    } GnomeDbDataWidgetInfoFlag;

### struct GnomeDbDataWidgetInfoClass

    struct GnomeDbDataWidgetInfoClass {

    	GtkHBoxClass               parent_class;
    };

### struct GnomeDbDataWidgetInfoPriv

    struct GnomeDbDataWidgetInfoPriv;

### gnome_db_data_widget_info_new ()

    GtkWidget*  gnome_db_data_widget_info_new   (GnomeDbDataWidget *data_widget,
                                                 GnomeDbDataWidgetInfoFlag flags);

Creates a new GnomeDbDataWidgetInfo widget suitable to display information about `data_widget`

`data_widget` : | a widget implementing the GnomeDbDataWidget interface
`flags` : | OR'ed values, specifying what to display in the new widget
Returns : | the new widget

## Properties

"`data-widget`" (GnomeDbDataWidget : Read / Write) |
"`flags`" (GnomeDbDataWidgetInfoFlag : Read / Write) |